Bug 1008076 - Dracut does not allow dual stack configuration
Dracut does not allow dual stack configuration
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
22
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-14 08:41 EDT by A.J. Werkman
Modified: 2016-07-19 16:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:19:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error screen when dracut stops (101.91 KB, image/jpeg)
2013-09-14 08:41 EDT, A.J. Werkman
no flags Details

  None (edit)
Description A.J. Werkman 2013-09-14 08:41:52 EDT
Created attachment 797621 [details]
Error screen when dracut stops

Description of problem:
When installing F20 and configuring the NIC from the boot command line, dracut does not allow dual stack configuration

Version-Release number of selected component (if applicable):
F20-Alpha RC2

How reproducible:
Everytime

Steps to Reproduce:
1. Boot kernel with two 'ip=' statements, one for IPv4 and one for IPv6.
2. Boot and install Fedora
3. No dual stack configuration is configured.

Actual results:
When omitting the devicename part in the 'ip=' option, dracut only uses the first option. When including the devicename part in the 'ip=' option dracut stops with a fatal error, stating that the 'ip=' can only occure once

Expected results:
Dracut should identify that both 'ip=' options are for a different address class and use both for the NIC configuration.

Additional info:
Comment 1 A.J. Werkman 2015-02-27 03:10:23 EST
Still present in 22 Alpha TC6
Comment 2 Fedora End Of Life 2016-07-19 16:19:50 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.